function cyst_meshgrid_sample

% this is the 1st program that mcgiddycully sent. it should be ignored and
% the code in the plot_cyst folder used instead
%

%********************
% Map and meshgrid limits.
%********************
latmin = 41.5;
latmax = 45.5;
lonmax = 71;
lonmin = 65.5;
meshLonMin=lonmin;
meshLonMax=lonmax;
meshLatMin=latmin;
meshLatMax=latmax;

%********************
% Meshgrid interval for mapping (deg).
%********************
%meshInt=0.025; 
meshInt=0.005;

%********************
% Cyst and location data.
% (DATAC_map is data matrix)
%********************
LON_map = DATAC_map(:,4);
LAT_map = DATAC_map(:,3);
PAR_map = DATAC_map(:,2);

%********************
% Meshgrid and griddata.
%********************
[LONi,LATi] = meshgrid(meshLonMin:meshInt:meshLonMax,meshLatMin:meshInt:meshLatMax);
PARi = griddata(LON_map,LAT_map,PAR_map,LONi,LATi,'linear');

%*************************
% Calculate scaled Z matrix.
%*************************
[Z_new,cval] = f_oc412_spec_scale(PARi,vv);

%*************************
% Plot filled contours.
%*************************
[c,h]=contourf(LONi,LATi,Z_new,cval);
set(h,'edgeColor','none');
