function [specs,labels] = sub_plotSingleMap(specs,labels,PAR_map)

% plots data as contour map like olga programmed.
% This is pretty much Olga's code with litte adaption
%close all

olgapath = 'olga_cyst_plots\';


%% plots loads coastline. Data from http://rimmer.ngdc.noaa.gov/
% plot contour fits
% create specs for the maps
% sets all the map specs

%********************
% Map limits.
%********************
specs.latmin = 41.5;
specs.latmax = 45.5;
specs.lonmax = 71;
specs.lonmin = 65.5;
% Calculate relation relyx = axisy/axisx (for PlotBoxAspectRatio)
weg = 111*cos(pi*(specs.latmin+(specs.latmax-specs.latmin)/2)/180);% Weight of one degree longitude
xc = (specs.lonmax-specs.lonmin)*weg;                        % Longitude, km
yc = (specs.latmax-specs.latmin)*111;                        % Latitude, km
specs.relyx = yc/xc;

% Choose meshgrid interval:
specs.meshInt=0.025;
% cyst_plot_map_sample.m This is part of Olgas code that we call to plot
% output. for orignial code see olga_cyst_plots

fig_pos = [135   334   499   561];

% For Axes position.
d_x=-0.036;
d_y=-0.035;
k=1.11;


%@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
%@@@@@@@@@@@@@  LOAD COLORMAP PALETTE @@@@@@@@@@@@@@@
%@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
load ([olgapath,'palet_10_colors']);
cmap=palet_10_colors;
specs.vv=[0 25 50 100 200 300 500 700 1000 2000 3000];


%********************
% Set figure and axes.
%********************
figure;
set(gcf,'color',[1 1 1],'position',fig_pos,...
    'paperPositionMode','auto');
colormap(cmap);
axPos=get(gca,'position');
set(gca,'position',[axPos(1)+axPos(3)*(d_x) axPos(2)+axPos(4)*d_y axPos(3)*k axPos(4)*k]);

%********************
% Meshgrid 
%********************
[LONi,LATi] = meshgrid(specs.lonmin:specs.meshInt:specs.lonmax,specs.latmin:specs.meshInt:specs.latmax);
PARi = griddata(specs.LON_map,specs.LAT_map,PAR_map,LONi,LATi,'linear');

%*************************
% Calculate scaled Z matrix.
%*************************
[Z_new,specs.cval] = OLGA_f_oc412_spec_scale(PARi,specs.vv);

%*************************
% Plot filled contours.
%*************************
[c,h]=contourf(LONi,LATi,Z_new,specs.cval,'edgecolor','none');
%contourf(LONi,LATi,Z_new,specs.cval,'edgecolor','none');
OLGA_post_cyst_plot_map_specs(specs.LON_map,specs.LAT_map,specs,labels,specs.cval,specs.vv,olgapath);
  
specs.long = -LONi(1,:); % these will be the same for each data set
specs.lat = LATi(:,1)'; % these will be the same for each data set